Instruments
liveMarket symbology + instrument cards
- GET
/v2/instruments— Symbology search / most-liquid browse - GET
/v2/instruments/{ref}— The instrument card: quote + history + live sample
GET
/v2/instrumentsSymbology search / most-liquid browse
With `q`: typeahead over live instruments. Without: the most-liquid screener rows.
Query parameters
ParameterType
curl "https://api.cardog.app/v2/instruments?q=cr-v" \
-H "x-api-key: $CARDOG_API_KEY"Response 200 — InstrumentSearch
FieldType
Example response
3 keys"response": {
"query": "rav4",
"items": [
0: {11 items},
1: {11 items},
2: {11 items},
3: {11 items},
4: {11 items},
5: {11 items},
6: {11 items},
7: {11 items},
8: {11 items},
9: {11 items},
10: {11 items},
11: {11 items}
],
"links": {
"tape": "/v2/tape/live"
}
}
Errors — every non-2xx body is the error envelope: 400, 401, 402, 429, 500
GET
/v2/instruments/{ref}The instrument card: quote + history + live sample
Path parameters
ParameterType
Query parameters
ParameterType
curl "https://api.cardog.app/v2/instruments/model-year:honda%2Fcr-v%2F2026?window=1y" \
-H "x-api-key: $CARDOG_API_KEY"Response 200 — InstrumentCard
FieldType
Example response
5 keys"response": {
"instrument": {
"ref": "model-year:toyota/rav4/2021",
"grain": "mmy",
"label": "Toyota RAV4 2021"
},
"quote": {
"ref": "model-year:toyota/rav4/2021",
"grain": "mmy",
"liveCount": 3446,
"bestPrice": 17285,
"priceP25": 29645,
"priceMedian": 32588,
"priceP75": 35900,
"avgDomDays": 206,
"cuts30d": 100,
"avgCutPct30d": 3.24,
"sightings30d": 340,
"asOf": "2026-07-12T02:35:22.181Z",
"links": {2 items}
},
"history": [
0: {8 items},
1: {8 items},
2: {8 items},
3: {8 items},
4: {8 items},
5: {8 items},
6: {8 items},
7: {8 items},
8: {8 items},
9: {8 items},
10: {8 items},
11: {8 items}
],
"listings": [
0: {7 items},
1: {7 items},
2: {7 items},
3: {7 items},
4: {7 items},
5: {7 items},
6: {7 items},
7: {7 items},
8: {7 items},
9: {7 items},
10: {7 items},
11: {7 items},
12: {7 items},
13: {7 items},
14: {7 items},
15: {7 items},
16: {7 items},
17: {7 items},
18: {7 items},
19: {7 items},
20: {7 items},
21: {7 items},
22: {7 items},
23: {7 items},
24: {7 items},
25: {7 items},
26: {7 items},
27: {7 items},
28: {7 items},
29: {7 items}
],
"links": {
"quote": "/v2/quotes/model-year%3Atoyota%2Frav4%2F2021",
"history": "/v2/tape/history/model-year%3Atoyota%2Frav4%2F2021"
}
}
Errors — every non-2xx body is the error envelope: 400, 401, 402, 404, 429, 500
Generated from the contract. Machine-readable spec: GET https://api.cardog.app/v2/openapi.json · markdown twin: /docs/reference/instruments.md